Skip to main content
POST
Approve Signature

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<walletType>
  • userId:<userId>:<walletType>
  • userId:<userId>:<walletType> (white label user example)
  • phoneNumber:<phoneNumber>:<walletType>
  • twitter:<handle>:<walletType>
  • x:<handle>:<walletType>
signatureId
string
required

Body

application/json

Input for submitting one or more approvals

approvals
required

Array of approvals to submit for this transaction

Minimum array length: 1

An EVM signature submission for a transaction

Response

The signature has been successfully approved.

Complete signature response including status, signing requirements, and wallet type specific data

id
string
required

Unique identifier for the signature

type
enum<string>
required

The type of signature

Available options:
evm-message,
solana-message,
evm-typed-data,
aptos-message,
cardano-message,
sui-message
status
enum<string>
required

Current status of the signature

Available options:
awaiting-approval,
pending,
failed,
success
params
EVM message signature parameters · object
required

Type-specific signature parameters

createdAt
number
required

ISO timestamp when the signature was created

Example:

"2024-01-01T00:00:00.000Z"

approvals
object

Complete approval data including requirements, pending and submitted signatures

completedAt
number

ISO timestamp when the transaction reached finality

Example:

"2024-01-01T00:00:00.000Z"

error
any

Error message if the signature fails

outputSignature
string

The wallet's output signature of the request